#include <bits/stdc++.h>

using namespace std;

void solve()
{
    int n;cin >> n;
    vector<int> vx(n);
    vector<int> vy(n);
    vector<int> vz(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vx[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vy[i];
    }
    vector <int> bry(n);
    vector <int> brz(n);
    long long sumz=0;
    for(int i = 0; i < n; i++)
    {
        cin >> vz[i];
        bry[vy[i]-1]++;
        brz[vz[i]-1]++;
        sumz+=vz[i];
    }
    if(sumz/n==vz[0])
    {
        //cout << "ll" << endl;
        long long sumiz=0;
        for(int i = 0; i < n; i++)
        {
            if(vz[0]==vx[i])
                sumiz+=bry[vx[i]-1]*n;
        }
        cout << sumiz << endl;
        return;
    }
    else
    {
        int sum=0;
        int ans=0;
        for(int i = 0; i < n;i++)
        {
            sum=0;
            for(int j = 0; j < n; j++)
            {
                if(vx[i]==vy[j])
                {
                    ans += brz[j];
                }
            }
        }
        cout << ans << endl;
    }
}

int main()
{
    solve();
    return 0;
}